# dock_navigator.cpp File Reference

Dock Nagivator File. More...

`#include "dock_navigator.h"`
`#include "canvasview.h"`
`#include "workarea.h"`
`#include <cassert>`
`#include <synfig/canvas.h>`
`#include <synfig/context.h>`
`#include <synfig/target_scanline.h>`
`#include <synfig/surface.h>`
`#include <gtkmm/separator.h>`
`#include "asyncrenderer.h"`
`#include "general.h"`

## Functions

static void | freegu8 (const guint8 *p)
static double | unit_to_zoom (double f)
static double | zoom_to_unit (double f)

## Variables

const double | log_10_2 = log(2.0)

## Detailed Description

Dock Nagivator File.

$Id$

## Function Documentation

static void freegu8 | ( | const guint8 * | p | ) | `[static]`

static double unit_to_zoom | ( | double | f | ) | `[static]`

static double zoom_to_unit | ( | double | f | ) | `[static]`

References log_10_2.

## Variable Documentation

const double log_10_2 = log(2.0)

Referenced by zoom_to_unit().